Patch Version 1.3, Updated on September 20, 2017
--- poky/meta-intel-edison/meta-intel-edison-distro/recipes-core/images/edison-image.bb	2016-05-11 21:56:50.000000000 -0700
+++ poky/meta-intel-edison/meta-intel-edison-distro/recipes-core/images/edison-image.bb	2017-08-22 16:12:28.136550494 -0700
@@ -139,8 +139,8 @@
 IMAGE_INSTALL += "cppzmq-dev"
 IMAGE_INSTALL += "paho-mqtt-dev"
 IMAGE_INSTALL += "mdns-dev"
-IMAGE_INSTALL += "iotkit-comm-js"
-IMAGE_INSTALL += "iotkit-comm-c-dev"
+#IMAGE_INSTALL += "iotkit-comm-js"
+#IMAGE_INSTALL += "iotkit-comm-c-dev"
 IMAGE_INSTALL += "iotkit-agent"
 IMAGE_INSTALL += "iotkit-lib-c-dev"
 IMAGE_INSTALL += "xdk-daemon"

--- poky/meta-intel-edison/meta-intel-edison-distro/recipes-connectivity/hostapd/hostapd-daemon_2.1.bb	2017-09-20 09:46:05.286032699 -0700
+++ poky/meta-intel-edison/meta-intel-edison-distro/recipes-connectivity/hostapd/hostapd-daemon_2.1.bb	2017-09-20 09:48:04.512341987 -0700
@@ -11,7 +11,7 @@
 SYSTEMD_AUTO_ENABLE = "disable"
 
 SRC_URI = " \
-    http://hostap.epitest.fi/releases/hostapd-${PV}.tar.gz \
+    https://w1.fi/releases/hostapd-2.1.tar.gz \
     file://defconfig \
     file://hostapd.service \
     file://udhcpd-for-hostapd.service \

--- poky/meta-intel-iot-devkit/recipes-connectivity/bacnet-stack/bacnet-stack_0.8.2.bb	2016-05-11 21:56:54.000000000 -0700
+++ poky/meta-intel-iot-devkit/recipes-connectivity/bacnet-stack/bacnet-stack_0.8.2.bb	2017-08-24 12:33:03.042836981 -0700
@@ -9,10 +9,7 @@
 
 RDEPENDS_${PN} = "bash"
 
-SRC_URI = "http://sourceforge.net/projects/bacnet/files/bacnet-stack/bacnet-stack-${PV}/bacnet-stack-${PV}.tgz \
-           file://bip-init.c.diff \
-           file://s_ptransfer.c.diff \
-           "
+SRC_URI = "https://sourceforge.net/projects/bacnet/files/bacnet-stack/bacnet-stack-0.8.2/bacnet-stack-0.8.2.tgz"
 
 SRC_URI[md5sum] = "cb7d0bc58bfe36ce3789923b9e5acd2d"
 SRC_URI[sha256sum] = "4646d3148b9e2921f0c93605fb7a18d87224dcad3adc3127762f3788f9a13f04"

--- poky/meta-java/recipes-core/icedtea/openjdk-7-03b147/fix-checksums.patch	2016-05-11 21:56:42.000000000 -0700
+++ poky/meta-java/recipes-core/icedtea/openjdk-7-03b147/fix-checksums.patch	2017-07-21 02:04:01.000000000 -0700
@@ -1,13 +1,23 @@
-Index: 03b21-2.1.3-r2.0/icedtea-2.1.3/Makefile.am
-===================================================================
---- icedtea-2.1.3/Makefile.am	2012-11-23 00:40:49.323361758 +0100
-+++ icedtea-2.1.3/Makefile.am	2012-11-23 00:41:55.500083848 +0100
-@@ -18,7 +18,7 @@
- JAXWS_SHA256SUM = 6d0858d46b68d6e8488e70d1675e5b656aeb4ef51e8ee4e330e77219f92c1c0c
- JDK_SHA256SUM = 11146763409098a42dd9896f3fb7e7324a58c5cff5298009eb347ad26abeed51
- LANGTOOLS_SHA256SUM = 3a4039348aa49547fffa96563b77b704c72e2ac3ead2c132843ba1e9fe4dbad2
+--- icedtea-2.1.3/Makefile.am	2016-10-18 15:31:45.451073805 +0200
++++ icedtea-2.1.3/Makefile.am	2016-10-18 15:42:14.651066400 +0200
+@@ -12,13 +12,13 @@
+ LANGTOOLS_CHANGESET = fd2fdb20d858
+ OPENJDK_CHANGESET = f89009ada191
+ 
+-CORBA_SHA256SUM = f61dad8d484e4a9e645b7fb73da87bc44f9986a074629154f37ed46be05f5b84
+-HOTSPOT_SHA256SUM = 09a64fca0beff0759ef1b461d63ed6a00e43032972781bb3a55e49d8b93f67d0
+-JAXP_SHA256SUM = 9cfbc0efaface20f7188870b9bf5b0ebc73d745cd9a49d013cd4e81ba223ccdc
+-JAXWS_SHA256SUM = 6d0858d46b68d6e8488e70d1675e5b656aeb4ef51e8ee4e330e77219f92c1c0c
+-JDK_SHA256SUM = 11146763409098a42dd9896f3fb7e7324a58c5cff5298009eb347ad26abeed51
+-LANGTOOLS_SHA256SUM = 3a4039348aa49547fffa96563b77b704c72e2ac3ead2c132843ba1e9fe4dbad2
 -OPENJDK_SHA256SUM = 0f2e414fee619e78c33bceaee7c440efa598d651b23a75fd61e1282ad6001839
-+OPENJDK_SHA256SUM = 54a0ef02b56b265b4122324e08a33c42ececbf2a300ada260611e7b6ccdba96d
++CORBA_SHA256SUM = 00bf0b0996484db3d0497345ca5b14db4ffb2288b6c7adf8a003b2eafc396fb2
++HOTSPOT_SHA256SUM = 69719a9657b15e6bef1bef137a15d830293091fbc46616fe8759e863ba904442
++JAXP_SHA256SUM = bb4beb62fae52d0ff871aefd64ae54eaed8978bff87df1e23f1bfead40ceae6d
++JAXWS_SHA256SUM = 566778320a0fa18ca93427d6afadc8bd3e416fd8249f9ce88e37e215f9295335
++JDK_SHA256SUM = b24bf93559804610a6e1078bea94adcec1b2f818dd600b12304926f6e86c6747
++LANGTOOLS_SHA256SUM = 10fee41a0cdd1b166ff78e6426430c76af0f2358d026c181d325af1e41646c34
++OPENJDK_SHA256SUM = 5efd8e66f18fcbf45527bcc74aa3e6ed11f66bc793c88e3841925c4acb4827ba
  
  CACAO_VERSION = a567bcb7f589
  CACAO_SHA256SUM = d49f79debc131a5694cae6ab3ba2864e7f3249ee8d9dc09aae8afdd4dc6b09f9

--- poky/meta-java/recipes-core/icedtea/icedtea7-native_2.1.3.bb	2016-05-11 21:56:42.000000000 -0700
+++ poky/meta-java/recipes-core/icedtea/icedtea7-native_2.1.3.bb	2017-07-21 02:04:01.000000000 -0700
@@ -8,33 +8,29 @@
 SRC_URI[iced.sha256sum] = "1929e57eb6718d30735e1e04e9e129457f845f7d7a8404b2b028740d0779ddb6"
 
 HOTSPOT_CHANGESET = "a456d0771ba0"
-SRC_URI[hotspot.md5sum] = "23c46cbb8e8a2e04dafa6ef63bc810c4"
-SRC_URI[hotspot.sha256sum] = "09a64fca0beff0759ef1b461d63ed6a00e43032972781bb3a55e49d8b93f67d0"
+SRC_URI[hotspot.md5sum] = "625d903e79e4f9aaf21cf98e369118e1"
+SRC_URI[hotspot.sha256sum] = "69719a9657b15e6bef1bef137a15d830293091fbc46616fe8759e863ba904442"
 
 CORBA_CHANGESET = "79ee8535bc51"
-SRC_URI[corba.md5sum] = "0e04317a6a74fea66ecac51c6171413c"
-SRC_URI[corba.sha256sum] = "f61dad8d484e4a9e645b7fb73da87bc44f9986a074629154f37ed46be05f5b84"
+SRC_URI[corba.md5sum] = "f9aae602c4d31203fcbf8dcfc5560ad9"
+SRC_URI[corba.sha256sum] = "00bf0b0996484db3d0497345ca5b14db4ffb2288b6c7adf8a003b2eafc396fb2"
 
 JAXP_CHANGESET = "77e7219c7424"
-SRC_URI[jaxp.md5sum] = "27ea9ad4c7a4c43eb1ccab8a0f365a50"
-SRC_URI[jaxp.sha256sum] = "9cfbc0efaface20f7188870b9bf5b0ebc73d745cd9a49d013cd4e81ba223ccdc"
+SRC_URI[jaxp.md5sum] = "440258a557c3cf0d585304a04ab060b8"
+SRC_URI[jaxp.sha256sum] = "bb4beb62fae52d0ff871aefd64ae54eaed8978bff87df1e23f1bfead40ceae6d"
 
 JAXWS_CHANGESET = "d92eda447bca"
-SRC_URI[jaxws.md5sum] = "4fb688cb0e2c703dfdedca187bb94070"
-SRC_URI[jaxws.sha256sum] = "6d0858d46b68d6e8488e70d1675e5b656aeb4ef51e8ee4e330e77219f92c1c0c"
+SRC_URI[jaxws.md5sum] = "52b1d409628184988ff0f1d1e4d0a853"
+SRC_URI[jaxws.sha256sum] = "566778320a0fa18ca93427d6afadc8bd3e416fd8249f9ce88e37e215f9295335"
 
 JDK_CHANGESET = "d7ecb57d3c61"
-SRC_URI[jdk.md5sum] = "0e90a9d980d44998083343a3a7614bb5"
-SRC_URI[jdk.sha256sum] = "11146763409098a42dd9896f3fb7e7324a58c5cff5298009eb347ad26abeed51"
+SRC_URI[jdk.md5sum] = "db2a0f91f27ad7ebbc68db53691ca403"
+SRC_URI[jdk.sha256sum] = "b24bf93559804610a6e1078bea94adcec1b2f818dd600b12304926f6e86c6747"
 
 LANGTOOLS_CHANGESET = "fd2fdb20d858"
-SRC_URI[langtools.md5sum] = "48335bb031d4c75e75823e2d70f17ef5"
-SRC_URI[langtools.sha256sum] = "3a4039348aa49547fffa96563b77b704c72e2ac3ead2c132843ba1e9fe4dbad2"
+SRC_URI[langtools.md5sum] = "702becdfee546841ed038c79fa1a9909"
+SRC_URI[langtools.sha256sum] = "10fee41a0cdd1b166ff78e6426430c76af0f2358d026c181d325af1e41646c34"
 
 OPENJDK_CHANGESET = "f89009ada191"
-SRC_URI[openjdk.md5sum] = "c26bbb33addfaeb14d28a1329b4b5a3e"
-SRC_URI[openjdk.sha256sum] = "54a0ef02b56b265b4122324e08a33c42ececbf2a300ada260611e7b6ccdba96d"
-
-
-# Hardcoded for now as icedtea7 is used in headless mode
-RDEPENDS_remove = " libxrender-native libxrender"
+SRC_URI[openjdk.md5sum] = "2bc941373ca4b033c9a25f972eec7858"
+SRC_URI[openjdk.sha256sum] = "5efd8e66f18fcbf45527bcc74aa3e6ed11f66bc793c88e3841925c4acb4827ba"

--- poky/meta-java/recipes-core/ant/ant-native_1.8.1.bb	2016-05-11 21:56:42.000000000 -0700
+++ poky/meta-java/recipes-core/ant/ant-native_1.8.1.bb	2017-07-21 02:04:01.000000000 -0700
@@ -30,7 +30,7 @@
 	rm -rf ${S}/src/main/org/apache/tools/ant/taskdefs/optional/NetRexxC.java
 }
 
-addtask removecruft before do_patch after do_unpack
+addtask removecruft before do_patch after do_removebinaries
 
 do_compile() {
   mkdir -p build



